---
title: llarp::layers::platform::DNSZone
summary: synthesizes authoritative RR for a .loki or .snode address. 

---

# llarp::layers::platform::DNSZone



synthesizes authoritative RR for a .loki or .snode address. 


`#include <dns_bridge.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[DNSZone](Classes/classllarp_1_1layers_1_1platform_1_1DNSZone.md#function-dnszone)**([AddrMapper](Classes/classllarp_1_1layers_1_1platform_1_1AddrMapper.md) & , [flow::FlowAddr](Classes/classllarp_1_1layers_1_1flow_1_1FlowAddr.md) addr) |
| void | **[add_srv_record](Classes/classllarp_1_1layers_1_1platform_1_1DNSZone.md#function-add-srv-record)**(dns::SRVTuple record)<br>add a new srv recrod to this dns zone.  |
| std::vector< [dns::ResourceRecord](Classes/classllarp_1_1dns_1_1ResourceRecord.md) > | **[synth_rr_for](Classes/classllarp_1_1layers_1_1platform_1_1DNSZone.md#function-synth-rr-for)**(dns::RRType r_type) const<br>synthesize any resource records for a rr type.  |

## Public Functions Documentation

### function DNSZone

```cpp
DNSZone(
    AddrMapper & ,
    flow::FlowAddr addr
)
```


### function add_srv_record

```cpp
void add_srv_record(
    dns::SRVTuple record
)
```

add a new srv recrod to this dns zone. 

### function synth_rr_for

```cpp
std::vector< dns::ResourceRecord > synth_rr_for(
    dns::RRType r_type
) const
```

synthesize any resource records for a rr type. 

-------------------------------

Updated on 2023-03-14 at 18:04:24 +0000